### Enumeration

# EDataServer OAuth2ServiceFlags

since: 3.28

#### Declaration

    flags EDataServer.OAuth2ServiceFlags

#### Description [src]

Flags of the OAuth2 service.

Available since: 3.28

#### Members

`E_OAUTH2_SERVICE_FLAG_NONE`

  No flag set.

  - Value: `0`
  - Available since: 3.28
`E_OAUTH2_SERVICE_FLAG_EXTRACT_REQUIRES_PAGE_CONTENT`

  The service requires also page content to be passed to e_oauth2_service_extract_authorization_code().

  - Value: `2`
  - Available since: 3.28